/**************************************
    - Variables [START]...
***************************************/

/* - Syne font (font-family: 'Syne', sans-serif;) */
@import url('https://fonts.googleapis.com/css2?family=Syne:wght@400;600;700&display=swap');

/* - Quick Sand (font-family: 'Quicksand', sans-serif;) */
@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;600;700&display=swap');

:root {
    --color-white: #fff;
    --color-light-grey: #f8f8f8;
    --color-primary: #6f6af8;
    --color-primary-light: #e2e4f3;
    --color-primary-light-2: #f2f2fd;

    --color-success: #78c396;
    --color-success-light: #e1fbda;
    --color-fail: #c55d6b;
    --color-fail-light: #ffd9df;

    --font-color: #413e68;
    --font-color-light: #e3e5f4;
    
    --border-radius-big: 20px;
    --border-radius-medium: 10px;
    --border-radius-small: 5px;
    --box-shadow-light: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
    --box-shadow-hard: rgba(0, 0, 0, 0.24) 0px 3px 8px;

    --transition-default: 0.35s all cubic-bezier(.17,.67,.63,.09);
    --cubic-bezier: cubic-bezier(.17,.67,.63,.09);

    /* --- Additional colors */
    --flat-green: #6CFF70;
    --flat-blue: #9293a3;
    --flat-yellow: #F5CC3F;
    --flat-red: #FF413F;

    /* --- Misc */
    --margin-bottom-big: 80px;
}

body.activeDarkmode {
    --color-white: #000;
    --color-light-grey: #3a3a3a;
    --font-color: #cccccc;

    --color-primary-light: #2a2a2e;
    --color-primary-light-2: #2a2a2e;
}
.dark-light-mode-button {
    display: none !important;
}

/**************************************
    - Variables ...[END]
***************************************/

/**************************************
    - Globals [START]...
***************************************/

.page-content-wrapper .page-content,
.page-content-wrapper .page-bar {
    background: var(--color-light-grey);
}
.page-content-wrapper,
.page-content-wrapper .page-content {
    min-height: 100vh;
}

@media (min-width: 992px) {
    .page-content-wrapper .page-content {
        padding: 25px 40px 10px;
        margin-left: 300px;;
    }
    .page-header-inner .top-menu {
        padding: 20px !important;
    }
    .page-header-inner .page-logo {
        background-color: var(--color-primary-light-2) !important;
        height: 150px !important;
    }
    .sidebar-container .sidemenu-container {
        padding-top: 150px;
        padding-left: 20px;
        padding-right: 20px;
        width: 300px;
        height: 100%;
    }
    .page-header.navbar .page-logo {
        width: 300px;
    }
    .sidebar-user-panel .user-panel {
        display: none;
    }
    .sidemenu-container .bottom-fixed {
        background: #f2f2fd;
        left: 10%;
        border-radius: 20px;
        width: 80%;
        bottom: 75px;
    }
    .sidebar-container .nav-item i {
        font-size: 25px !important;
        margin-right: 15px !important;
    }
    .sidebar-container .nav-item,
    .sidebar-container .nav-item a {
        border-radius: var(--border-radius-big) !important;
    }
    .white-sidebar-color .sidemenu-container .sidemenu>li:not(.active):hover>a {
        border-radius: var(--border-radius-big) !important;
        background: var(--color-primary-light-2) !important;
    }
    .sidebar-container .nav-item:not(.active):hover i,
    .white-sidebar-color .sidemenu-container .sidemenu>li:not(.active):hover>a {
        background: var(--color-primary-light-2) !important;
        color: var(--color-primary) !important;
    }
    .page-logo img.kynetic-logo {
        max-width: 200px;
        margin: 0 auto;
        text-align: center;
        padding-bottom: 40px;
        position: relative;
    }
    ul.nav.navbar-nav .menu-toggler {
        display: none !important;
    }
    .page-header-inner .top-menu {
        /* background: var(--color-white) !important; */
        border-radius: var(--border-radius-big) !important;
        margin-top: 20px !important;
        margin-right: 40px !important;

        /* glassmorph */
        background: rgba(255, 255, 255, 0.2) !important;
        box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
        backdrop-filter: blur(5px);
        -webkit-backdrop-filter: blur(5px);
        border: 1px solid rgba(255, 255, 255, 0.3);
    }
    .page-content-white .page-bar {
        margin: 80px -20px 15px !important;
    }
    .top-menu .nav.navbar-nav {
        display: flex;
        margin: 0;
        flex-direction: row;
        align-items: center;
    }
    .top-menu .nav.navbar-nav .img-circle {
        height: 45px !important;
        margin-right: 15px !important;
    }
    .top-menu .nav.navbar-nav .username.username-hide-on-mobile {
        font-weight: 700 !important;
        font-size: 14px !important;
    }
    .top-menu .nav.navbar-nav .dropdown-toggle {
        display: flex !important;
        align-items: flex-start;
        padding: 0 20px !important;
        padding-right: 0 !important;
    }
    .top-menu .navbar-options {
        padding-top: 0 !important;
    }
    .top-menu .navbar-options a {
        padding: 0 10px !important;
    }
    .top-menu .navbar-options a button {
        margin-bottom: 0 !important;
    }
    .top-menu .nav.navbar-nav.pull-right {
        display: flex;
        align-items: center;
        margin-right: 0 !important;
    }
    .navbar-options .month-stats{
        width: 200px;
        display: inline-block;
        font-weight: 600;
        padding-left: 10px;
        height: 100%;
        vertical-align: -12px;
        font-size: 12px;
        line-height: 1.7;
    }
    .dropdown-menu.dropdown-menu-default.show {
        top: 80px !important;
        right: -20px !important;
        box-shadow: var(--box-shadow-light) !important;
        width: 100% !important;
        padding: 10px 20px !important;
        width: 200px !important;
        border-radius: 20px !important;
    }
    .dropdown-menu.dropdown-menu-default.show::before,
    .dropdown-menu.dropdown-menu-default.show::after {
        right: 25px !important;
    }
    .dropdown-menu.dropdown-menu-default.show::before {
        display: none !important;
    }
    .dropdown-menu.dropdown-menu-default.show a {
        font-weight: 600 !important;
    }
    .dropdown-menu.dropdown-menu-default.show i {
        color: var(--color-primary) !important;
    }
    .dropdown-menu.dropdown-menu-default.show li {
        padding: 5px 0 !important;
    }
    .dropdown-menu.dropdown-menu-default.show li:not(:last-child) {
        border-bottom: 1px solid var(--color-primary-light) !important;
    }
    .sidemenu-container.fixed-menu {
        z-index: 1 !important;
        overflow-y: hidden;
    }
}

.page-logo img.kynetic-logo {
    filter: none;
}
.sidebar-container li a,
.sidebar-container li a .title {
    font-weight: 600 !important;
}
.sidebar-container .nav-item.active a {
    border-radius: var(--border-radius-big) !important;
    background-color: var(--color-primary) !important;
    color: var(--color-light-grey) !important;
}
.sidebar-container .nav-item.active a .title {
    color: var(--color-light-grey) !important;
    font-weight: 700 !important;
}
.sidebar-container .nav-item.active i,
.sidebar-container .nav-item.active .arrow::before {
    color: var(--color-light-grey) !important;
}
.top-menu .navbar-options button {
    padding: 15px;
}
.top-menu .navbar-options button i {
    margin: 0;
    font-size: 20px;
    color: var(--color-white);
}
.top-menu .navbar-options button.btn-light i {
    color: var(--color-primary);
}
.top-menu .navbar-options button.btn-light {
    background-color: var(--color-primary-light-2) !important;
}

button {
    border-radius: var(--border-radius-big) !important;
    box-shadow: none !important;
    border: none !important;
}
input.btn {
    border-radius: var(--border-radius-big) !important;
    box-shadow: none !important;
    border: none !important;
}
button.btn-primary,
input.btn-primary {
    background-color: var(--color-primary) !important;
    border: none !important;
}
button.btn-primary:hover,
input.btn-primary:hover {
    border: none !important;
    background: var(--color-primary) !important;
}
button.btn-primary:active,
input.btn-primary:active,
button.btn-primary:focus,
input.btn-primary:focus {
    border: none !important;
    outline: none !important;
    background: var(--color-primary) !important;
}

.btn-success {
    background: var(--flat-green) !important;
    border: none !important;
    color: var(--font-color) !important;
}
.btn-success:hover {
    background: var(--flat-green) !important;
    border: none !important;
    color: var(--font-color) !important;
}
.btn-danger-custom {
    background: var(--color-fail) !important;
    border: none !important;
    color: var(--color-white) !important;
}
.btn-white {
    background: var(--color-white);
    border: none !important;
    color: var(--font-color) !important;
}
.btn-sm {
    font-size: 10px !important;
    padding: 4px 10px !important;
}
.btn-sm:active,
.btn-sm:focus {
    border: none !important;
    outline: none !important;
}
.btn-rounded {
    border-radius: 100%;
    height: 20px;
    width: 20px;
    text-align: center;
    position: relative;
}
.btn-rounded-danger {
    background: var(--color-fail);
    color: var(--color-white);
}
.btn-rounded i {
    color: var(--color-white) !important;
    font-size: 10px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

* {
    
}

*,
.page-title {
    color: var(--font-color);
}

h1, h2, h3, h4, h5, h6, b {
    font-weight: 700;
    font-family: 'Quicksand', sans-serif !important;
}

p, a, button, ul, li, .title,
td, th, tr, table > * {
    font-family: 'Quicksand', sans-serif !important;
}

a {
    font-weight: 400;
    color: var(--color-primary);
}

.row.row-inner {
    margin-bottom: var(--margin-bottom-big) !important;
}

.p-small {
    font-size: 10px !important;
    font-weight: 300 !important;
}
.p-light {
    font-weight: 400 !important;
}
.p-no-margin {
    margin-bottom: 0 !important;
}

.input-label-empty {
    opacity: 0;
    pointer-events: none;
}

.label-as-button:hover {
    cursor: pointer;
}

.loader-custom-parent {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 100px;
}
.loader-custom {
    border: 6px solid var(--color-primary-light-2);
    border-top: 6px solid var(--color-primary);
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spinLoader 1s var(--cubic-bezier) infinite;
}

@keyframes spinLoader {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.filter-section-breadcrumb {
    display: flex;
    align-items: center;
}
.filter-section-breadcrumb span {
    margin-right: 5px;
}
.filter-section-breadcrumb button {
    padding: 0;
}
.filter-section-breadcrumb span i {
    padding-top: 10px;
    color: var(--font-color-light);
}
.filter-section-breadcrumb span.active-breadcrumb button {
    text-decoration: underline !important;
    color: var(--color-primary) !important;
}
.page-bar > .row {
    align-items: center !important;
}

.span-underline {
    border-bottom: 1px solid var(--color-light-grey) !important;
    margin-bottom: 20px;
}

.white-sidebar-color .page-container {
    background-color: var(--color-light-grey) !important;
}

.input-after-text {
    padding-left: 20px;
    font-size: 10px;
}
/**************************************
    - Globals ...[END]
***************************************/

/**************************************
    - Navbar [START]...
***************************************/
.page-header.navbar.navbar-fixed-top, .page-header.navbar.navbar-static-top {
    z-index: 900 !important;
}
.header-white .page-header.navbar {
    background: none;
    box-shadow: none;
    pointer-events: none;
}
.header-white .page-header.navbar .top-menu {
    pointer-events: all !important;
}
.top-menu .btn-bell {
    position: relative;
    overflow: inherit !important;
}
.top-menu .btn-bell::after {
    color: var(--color-white);
    position: absolute;
    content: "1";
    top: -5px;
    right: -5px;
    width: 20px;
    height: 20px;
    background-color: var(--color-fail);
    border-radius: 100%;
}

/**************************************
    - Navbar ...[END]
***************************************/

/**************************************
    - Dark- & lightmode toggler [START]...
***************************************/
.dark-light-mode-button {
    padding: 11px;
    border-radius: 4px;
    text-align: center;
    position: fixed;
    bottom: 10px;
    z-index: 10001;
    right: 40px;
}
.dark-light-mode-button:hover {
    cursor: pointer;
}
.dark-light-mode-button .checkbox {
    opacity: 0;
    position: absolute;
}
.dark-light-mode-button .label {
    width: 50px;
    height: 26px;
    background-color:#111;
    display: flex;
    border-radius:50px;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
    position: relative;
    transform: scale(1.5);
}
.dark-light-mode-button .ball {
    width: 20px;
    height: 20px;
    background-color: white;
    position: absolute;
    top: 2px;
    left: 2px;
    border-radius: 50%;
    transition: transform 0.2s linear;
}
.dark-light-mode-button .checkbox:checked + .label .ball{
    transform: translateX(24px);
}
.dark-light-mode-button .fa-moon-o {
    color: var(--color-primary-light);
}
.dark-light-mode-button .fa-sun-o {
    color: var(--color-primary-light);
}
/**************************************
    - Dark- & lightmode toggler ...[END]
***************************************/

/**************************************
    - Select options [START]...
***************************************/
.select-custom select {
    appearance: none;
    outline: 0;
    border: 0;
    box-shadow: none;
    flex: 1;
    padding: 0px 20px;
    color: #fff;
    background-color: var(--color-primary-light);
    background-image: none;
    cursor: pointer;
}
.select-custom select::-ms-expand {
    display: none;
}
.select-custom {
    position: relative;
    display: flex;
    width: 60%;
    height: 25px;
    border-radius: var(--border-radius-big);
    overflow: hidden;
}
.select-custom-full {
    width: 100%;
}
.select-custom::after {
    content: '\25BC';
    position: absolute;
    top: -10px;
    right: 0;
    padding: 0.7em;
    background-color: var(--color-primary);
    transition: .25s all ease;
    pointer-events: none;
}
.select-custom:hover::after {
    color: var(--color-white);
}
.select-button-hidden {
    display: none;
}
/**************************************
    - Select options ...[END]
***************************************/

/**************************************
    - .btn-setting + .btn-small [START]...
***************************************/
.btn-setting.btn-small {
    position: relative;
    background: var(--color-primary-light);
    height: 100%;
    max-height: 30px;
    padding: 0 20px;
    margin: 0;
}
/**************************************
    - .btn-setting + .btn-small ...[END]
***************************************/

/**************************************
    - .label-custom [START]...
***************************************/
.label-custom,
.label-custom-light {
    background: var(--flat-blue);
    border-radius: var(--border-radius-big);
    color: var(--color-white) !important;
    font-weight: 700;
    font-size: 10px !important;
    padding: 5px 15px;
    margin-bottom: 10px;
    margin-top: 10px;
}
.label-custom-light {
    background: var(--color-primary-light-2);
    color: var(--font-color) !important;
}
.label-customer-danger {
    background-color: var(--color-fail) !important;
}
.label-customer-danger * {
    color: var(--color-white) !important;
}
.label-customer-danger i {
    margin-right: 5px;
}
/**************************************
    - .label-custom ...[END]
***************************************/

/**************************************
    - .section-disabled [START]...
***************************************/
.section-disabled {
    pointer-events: none;
    opacity: 0.25;
}
.section-disabled > div,
.section-disabled > button{
    opacity: 0.25;
    pointer-events: none;
}

.section-disabled h4 {
    position: relative;
    display: inline-block;
}

.settings-filters-box .section-disabled h4:after {
    content: "Coming soon!";
    display: inline-block;
    background: transparent;
    position: absolute;
    color: #3a3a3a;
    top: 4px;
    right: -86px;
    font-size: 10px;
    border-radius: 100px;
    padding: 0px 7px;
    box-sizing: border-box;
    height: 24px;
    line-height: 24px;
    font-weight: 600;
    border: 1px solid #a1a1a1;
}


/**************************************
    - .section-disabled ...[END]
***************************************/

/**************************************
    - .jq-icon-success [START]...
***************************************/
.jq-icon-success {
    border-radius: var(--border-radius-big) !important;
    overflow: hidden;
    padding: 20px 40px !important;
    background-color: var(--color-primary) !important;
}
.jq-icon-error {
    border-radius: var(--border-radius-big) !important;
    overflow: hidden;
    padding: 20px 40px !important;
}
/**************************************
    - .jq-icon-success ...[END]
***************************************/

/**************************************
    - .page-titles [START]...
***************************************/
.page-bar .page-title h2,
.page-bar .info-box.info-box-filters {
    margin: 0 !important;
}
/**************************************
    - .page-titles ...[END]
***************************************/

/**************************************
    - .jq-icon-warning [START]...
***************************************/
.jq-icon-warning {
    background-color: var(--color-fail) !important;
}
.jq-icon-warning .close-jq-toast-single {
    color: var(--color-white);
    font-size: 25px;
}
.jq-icon-warning button.btn-white {
    font-weight: 700;
}
/**************************************
    - .jq-icon-warning ...[END]
***************************************/

/**************************************
    - .dataTables_wrapper [START]...
***************************************/
.dataTables_wrapper input {
    border-radius: var(--border-radius-big) !important;
    margin-bottom: 20px;
}
/**************************************
    - .dataTables_wrapper ...[END]
***************************************/

